[arch-commits] Commit in gnupg/repos (4 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Thu Apr 17 19:27:13 UTC 2008


    Date: Thursday, April 17, 2008 @ 15:27:13
  Author: andyrtr
Revision: 314

Merged revisions 2-313 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/gnupg/trunk

........
  r312 | andyrtr | 2008-04-17 19:20:28 +0000 (Do, 17 Apr 2008) | 2 lines
  
  upgpkg: gnupg 1.4.9-1
      new release + buildfix patch
........

Added:
  gnupg/repos/extra-i686/buildfix.patch
    (from rev 312, gnupg/trunk/buildfix.patch)
Modified:
  gnupg/repos/extra-i686/	(properties)
  gnupg/repos/extra-i686/PKGBUILD
Deleted:
  gnupg/repos/extra-i686/buffer-overflow.patch

-----------------------+
 PKGBUILD              |   10 ++++++---
 buffer-overflow.patch |   12 -----------
 buildfix.patch        |   51 ++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 58 insertions(+), 15 deletions(-)


Property changes on: gnupg/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /gnupg/trunk:1
   + /gnupg/trunk:1-313

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-04-17 19:21:05 UTC (rev 313)
+++ extra-i686/PKGBUILD	2008-04-17 19:27:13 UTC (rev 314)
@@ -2,19 +2,23 @@
 # Maintainer: dorphell <dorphell at archlinux.org>
 # Committer: Judd Vinet <jvinet at zeroflux.org>
 pkgname=gnupg
-pkgver=1.4.8
+pkgver=1.4.9
 pkgrel=1
 pkgdesc="GNU Privacy Guard - a PGP replacement tool"
 arch=(i686 x86_64)
 license=('GPL3')
 depends=('zlib' 'bzip2' 'libldap' 'libusb' 'curl>=7.16.2')
 source=(#ftp://ftp.gnupg.org/gcrypt/gnupg/$pkgname-$pkgver.tar.bz2
-	ftp://ftp.franken.de/pub/crypt/mirror/ftp.gnupg.org/gcrypt/gnupg/$pkgname-$pkgver.tar.bz2)
+	ftp://ftp.franken.de/pub/crypt/mirror/ftp.gnupg.org/gcrypt/gnupg/$pkgname-$pkgver.tar.bz2
+	buildfix.patch)
 url="http://www.gnupg.org/"
-md5sums=('e5be39ea81bb07de006e7dd44439cb76')
+md5sums=('cc52393087480ac8d245625004a6a30c'
+         'f7e9f40964bed7e9722ec07ba4fae9a6')
 
 build() {
   cd $startdir/src/$pkgname-$pkgver
+  # http://lists.gnupg.org/pipermail/gnupg-devel/2008-April/024344.html
+  patch -Np0 -i ../buildfix.patch || return 1
   ./configure --prefix=/usr --libexecdir=/usr/lib
   make || return 1
   ln -s $pkgname-$pkgver/scripts ..

Deleted: extra-i686/buffer-overflow.patch
===================================================================
--- extra-i686/buffer-overflow.patch	2008-04-17 19:21:05 UTC (rev 313)
+++ extra-i686/buffer-overflow.patch	2008-04-17 19:27:13 UTC (rev 314)
@@ -1,12 +0,0 @@
---- g10/openfile.c      (revision 4348)
-+++ g10/openfile.c      (working copy)
-@@ -144,8 +144,8 @@
- 
-     s = _("Enter new filename");
- 
--    n = strlen(s) + namelen + 10;
-     defname = name && namelen? make_printable_string( name, namelen, 0): NULL;
-+    n = strlen(s) + (defname?strlen (defname):0) + 10;
-     prompt = xmalloc(n);
-     if( defname )
-        sprintf(prompt, "%s [%s]: ", s, defname ); 

Copied: gnupg/repos/extra-i686/buildfix.patch (from rev 312, gnupg/trunk/buildfix.patch)
===================================================================
--- extra-i686/buildfix.patch	                        (rev 0)
+++ extra-i686/buildfix.patch	2008-04-17 19:27:13 UTC (rev 314)
@@ -0,0 +1,51 @@
+Index: gpgkeys_curl.c
+===================================================================
+--- keyserver/gpgkeys_curl.c	(revision 4741)
++++ keyserver/gpgkeys_curl.c	(working copy)
+@@ -286,7 +286,7 @@
+ 
+   if(follow_redirects)
+     {
+-      curl_easy_setopt(curl,CURLOPT_FOLLOWLOCATION,1);
++      curl_easy_setopt(curl,CURLOPT_FOLLOWLOCATION,1L);
+       if(follow_redirects>0)
+ 	curl_easy_setopt(curl,CURLOPT_MAXREDIRS,follow_redirects);
+     }
+@@ -298,10 +298,10 @@
+     {
+       fprintf(console,"gpgkeys: curl version = %s\n",curl_version());
+       curl_easy_setopt(curl,CURLOPT_STDERR,console);
+-      curl_easy_setopt(curl,CURLOPT_VERBOSE,1);
++      curl_easy_setopt(curl,CURLOPT_VERBOSE,1L);
+     }
+ 
+-  curl_easy_setopt(curl,CURLOPT_SSL_VERIFYPEER,opt->flags.check_cert);
++  curl_easy_setopt(curl,CURLOPT_SSL_VERIFYPEER,(long)opt->flags.check_cert);
+   curl_easy_setopt(curl,CURLOPT_CAINFO,opt->ca_cert_file);
+ 
+   if(proxy)
+Index: gpgkeys_hkp.c
+===================================================================
+--- keyserver/gpgkeys_hkp.c	(revision 4741)
++++ keyserver/gpgkeys_hkp.c	(working copy)
+@@ -202,9 +202,9 @@
+     fprintf(console,"gpgkeys: HTTP URL is `%s'\n",request);
+ 
+   curl_easy_setopt(curl,CURLOPT_URL,request);
+-  curl_easy_setopt(curl,CURLOPT_POST,1);
++  curl_easy_setopt(curl,CURLOPT_POST,1L);
+   curl_easy_setopt(curl,CURLOPT_POSTFIELDS,key);
+-  curl_easy_setopt(curl,CURLOPT_FAILONERROR,1);
++  curl_easy_setopt(curl,CURLOPT_FAILONERROR,1L);
+ 
+   res=curl_easy_perform(curl);
+   if(res!=0)
+@@ -661,7 +661,7 @@
+     {
+       fprintf(console,"gpgkeys: curl version = %s\n",curl_version());
+       curl_easy_setopt(curl,CURLOPT_STDERR,console);
+-      curl_easy_setopt(curl,CURLOPT_VERBOSE,1);
++      curl_easy_setopt(curl,CURLOPT_VERBOSE,1L);
+     }
+ 
+   if(proxy)
\ No newline at end of file





More information about the arch-commits mailing list